Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.edit.ui.provider
Class AdapterFactoryLabelProvider.FontProvider

    java.lang.Object
      org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider
          org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider.FontProvider

All Implemented Interfaces:
  org.eclipse.emf.edit.provider.INotifyChangedListener, org.eclipse.jface.viewers.IBaseLabelProvider, org.eclipse.jface.viewers.IFontProvider, org.eclipse.jface.viewers.ILabelProvider, org.eclipse.jface.viewers.ITableFontProvider, org.eclipse.jface.viewers.ITableLabelProvider

Enclosing class:
  AdapterFactoryLabelProvider

    public static class AdapterFactoryLabelProvider.FontProvider

extends AdapterFactoryLabelProvider
implements org.eclipse.jface.viewers.IFontProvider, org.eclipse.jface.viewers.ITableFontProvider

An extended version of the adapter factory label provider that also provides for fonts.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider
`AdapterFactoryLabelProvider.ColorProvider, AdapterFactoryLabelProvider.FontAndColorProvider, AdapterFactoryLabelProvider.FontProvider`

Constructor Summary
`AdapterFactoryLabelProvider.FontProvider(org.eclipse.emf.common.notify.AdapterFactory adapterFactory, org.eclipse.swt.graphics.Font defaultFont)` Construct an instance that wraps the given factory and specifies the given default font.
`AdapterFactoryLabelProvider.FontProvider(org.eclipse.emf.common.notify.AdapterFactory adapterFactory, org.eclipse.jface.viewers.Viewer viewer)` Construct an instance that wraps the given factory and uses the font of the viewer's control.

Method Summary

Methods inherited from class org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider
`addListener, dispose, fireLabelProviderChanged, getAdapterFactory, getBackground, getBackground, getColumnImage, getColumnText, getDefaultBackground, getDefaultFont, getDefaultForeground, getFont, getFont, getForeground, getForeground, getImage, getText, isFireLabelUpdateNotifications, isLabelProperty, notifyChanged, removeListener, setAdapterFactory, setDefaultBackground, setDefaultFont, setDefaultForeground, setFireLabelUpdateNotifications`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.viewers.IFontProvider
`getFont`

Methods inherited from interface org.eclipse.jface.viewers.ITableFontProvider
`getFont`

Constructor Detail

### AdapterFactoryLabelProvider.FontProvider

    public AdapterFactoryLabelProvider.FontProvider(org.eclipse.emf.common.notify.AdapterFactory adapterFactory,
                                                    org.eclipse.swt.graphics.Font defaultFont)

  Construct an instance that wraps the given factory and specifies the given default font.

  Parameters:
    `adapterFactory` - an adapter factory that yield adapters that implement the various item label provider interfaces.
    `defaultFont` - the font that will be used when no font is specified.

### AdapterFactoryLabelProvider.FontProvider

    public AdapterFactoryLabelProvider.FontProvider(org.eclipse.emf.common.notify.AdapterFactory adapterFactory,
                                                    org.eclipse.jface.viewers.Viewer viewer)

  Construct an instance that wraps the given factory and uses the font of the viewer's control.

  Parameters:
    `adapterFactory` - an adapter factory that yield adapters that implement the various item label provider interfaces.
    `viewer` - the viewer for which the control's font should be used.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.